---
title: "Query subscription contract list"

doc_type: openapi
doc_category: openapi
doc_version: v20270301
source_url:
  html: 'https://developer.shopline.com/docs/admin-rest-api/order/subscription-order/query-subscription-contract-list'
  md: 'https://developer.shopline.com/docs/admin-rest-api/order/subscription-order/query-subscription-contract-list.md'
---
# Query subscription contract list

- **Base URL:** `https://{handle}.myshopline.com/admin/openapi`
- **Required Scopes:** `read_subscription_contracts`
- **API Version:** v20270301
- **API Type:** Admin
- **API Protocol:** RESTful

## Endpoint

```http
POST /subscription/contract.json
```

## Base URL

* `https://{handle}.myshopline.com/admin/openapi`

  * `{handle}`: `handle` : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is `open001.myshopline.com` , the store handle is `open001` .

## Required Permissions

* `read_subscription_contracts`

## Request

### Request Headers

* `Content-Type`

  string (required)

  The field must be set to the fixed value `application/json; charset=utf-8`.

* `Authorization`

  string (required)

   The access token for the API resource. Refer to [App authorization](https://developer.shopline.com/docs/apps/api-instructions-for-use/app-authorization.md?lang=en) to obtain the access token, and then pass the obtained token in the Bearer format. 

### Request Body

* `updated_at_max`

  string

  Subscription contract update time ( end ) ( format see IOS8601 )

* `reverse`

  boolean

  Sort inversion

* `user_ids`

  array<string>

  User id list , up to 50

* `first`

  integer

  The front n elements of return support up to 50 , and the last must and only one cannot be empty

* `ids`

  array<string>

  Contract id list

* `after`

  string

  After a certain cursor , the value can be orderId , contractId , etc . , according to the specific api to indicate the specific business data id , before and after to only allow one to have value .

* `created_at_min`

  string

  Subscription contract production time ( start ) ( format see IOS8601 )

* `updated_at_min`

  string

  Subscription contract update time ( start ) ( format see IOS8601 )

* `created_at_max`

  string

  Subscription contract production time ( end ) ( format see IOS8601 )

* `next_billing_date_at_max`

  string

  Subscribe to next bill-generation time ( end ) ( format see IOS8601 )

* `status`

  array<string>

  Subscription contract status ( ACTIVE , FAILED , CANCELLED , EXPIRED )

* `before`

  string

  Before , the value could be orderId , contractId , etc . according to the specific api , it means that the specific business data id , before and after only allow one to have value .

* `last`

  integer

  Return last n elements , maximum support 50 , must be with first and only one cannot be empty

* `next_billing_date_at_min`

  string

  Subscribe to next bill generation time ( start ) ( format see IOS8601 )

## Response

### Status Codes

* `200`

  For the complete list of codes and messages, see [Http status code](https://developer.shopline.com/docs/apps/api-instructions-for-use/http-status-code.md?lang=en).

* `401`

  

* `429`

  

### Response Headers

* `traceId`

  A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise.

### Response Body

#### 200

* `page_info`

  object

  Paging information

  * `has_next_page`

    boolean

    1

  * `has_previous_page`

    boolean

    1

  * `start_cursor`

    string

    1

  * `end_cursor`

    string

    1

* `subscription_contracts`

  array<object>

  Subscription contract information list

  * `line_items`

    array<object>

    Contract associated Product

    * `version`

      string

      Product version

    * `product_source`

      string

      Product source main_site main station product、customize custom product

    * `attributes`

      array<object>

      Product attributes

      * `key`

        string

        Attributes key or name

      * `value`

        string

        Attribute value

    * `title`

      string

      Product title

    * `amount`

      string

      Product amount ( two precision string , like " 88.10 " )

    * `image_url`

      string

      Product main image

    * `amount_set`

      object

      Product amount

      * `presentment_money`

        object

        Currency information

      * `shop_money`

        object

        Sell side amount

    * `pricing_policy`

      array<object>

      Subscription cycle discount

      * `cycle_discounts`

        array<object>

        Adjust per cycle of the subscribe to the line

    * `variant_id`

      string

      Product SKU serial number

    * `quantity`

      integer

      Product quantity

    * `group_id`

      string

      Item group id

    * `sku`

      string

      Product yards

    * `variant_attribute`

      string

      Product attributes

  * `customer`

    object

    User information

    * `shipping_address`

      object

      Shipping address

      * `first_name`

        string

        Consignee name

      * `province`

        string

        Consignee province

      * `zip`

        string

        Postal code

      * `company`

        string

        Company name

      * `city_code`

        string

        Consignee city code

      * `country_code`

        string

        Country or region , please refer to the country code specification biography , https : //aurogon-portal.yy.com/document/interface/478

      * `country`

        string

        Country or region

      * `last_name`

        string

        Consignee last name

      * `phone`

        string

        Consignee contact

      * `address2`

        string

        Consignee additional to the detailed address

      * `city`

        string

        Consignee city

      * `district_code`

        string

        Consignee zone code

      * `address1`

        string

        Consignee detailed address

      * `province_code`

        string

        Consignee province code

      * `district`

        string

        Consignee zone

    * `email`

      string

      User mailbox

    * `id`

      string

      User ID

    * `nick_name`

      string

      User name

    * `phone`

      string

      User phone

  * `next_billing_date`

    string

    Next bill date

  * `billing_policy`

    object

    Billing policy for the subscription agreement

    * `max_cycles`

      integer

      Largest subscription cycle

    * `min_cycles`

      integer

      Minimum subscription cycle

    * `interval`

      string

      Interval units , ( day , MONTH , weed , year )

    * `interval_count`

      integer

      Interval value

  * `customer_payment_method`

    object

    payment method

    * `instrument_seq`

      string

      Payment tool id

    * `method_code`

      string

      Payment method encoding

    * `store_payment_id`

      string

      Payment method id

    * `channel_code`

      string

      Payment channel encoding

    * `instrument_detail`

      object

      Payment tool details

      * `card`

        object

        Card information

      * `type`

        string

        Type card / account. card : carnegie ; account : account base

  * `app`

    object

    Subscription plug-in information

    * `app_key`

      string

      Key for app insert

  * `created_at`

    string

    Creation time

  * `status`

    string

    Subscription contract status ( ACTIVE , FAILED , CANCELLED , EXPIRED )

  * `id`

    string

    Contract id

  * `last_payment_status`

    string

    Last payment status

  * `periods`

    integer

    Duration of current contract execution

  * `origin_order`

    object

    Original order information

    * `id`

      string

      Order number

  * `updated_at`

    string

    Update time

  * `currency_code`

    string

    Currency

  * `delivery_info`

    object

    Shipping information

    * `delivery_name`

      string

      Scheme name

    * `delivery_seq`

      string

      The seq for the shipping program


#### 401

* `errors`

  string

  Error message. 


#### 429

* `errors`

  string

  Error message. 


## OpenAPI Definition

```json
{
  "externalDocs": {
    "description": "Permission point used by the interface is `read_subscription_contracts` , For more information about the use of permission points, see",
    "url": "ec20/3cv5d7wpfgr6a8z5/xabczf5442284vkq?lang=en",
    "errorTableDescription": ""
  },
  "operationId": "jkPiwIKK",
  "parameters": [
    {
      "name": "Content-Type",
      "in": "header",
      "description": "The field must be set to the fixed value `application/json; charset=utf-8`.",
      "required": true,
      "style": "string",
      "schema": {
        "name": "Content-Type",
        "type": "string",
        "example": "application/json; charset=utf-8"
      }
    },
    {
      "name": "Authorization",
      "in": "header",
      "description": " The access token for the API resource. Refer to [App authorization](https://developer.shopline.com/docs/apps/api-instructions-for-use/app-authorization.md?lang=en) to obtain the access token, and then pass the obtained token in the Bearer format. ",
      "required": true,
      "style": "string",
      "schema": {
        "name": "Authorization",
        "description": " The access token for the API. Please refer to [App authorization](https://developer.shopline.com/docs/apps/api-instructions-for-use/app-authorization.md?lang=en) to obtain the access token, and then put the obtained access token into the API request header in Bearer Token.",
        "type": "string",
        "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
      },
      "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
    }
  ],
  "requestBody": {
    "content": {
      "application/json": {
        "schema": {
          "type": "object",
          "properties": {
            "updated_at_max": {
              "name": "updated_at_max",
              "description": "Subscription contract update time ( end ) ( format see IOS8601 )",
              "type": "string",
              "example": ""
            },
            "reverse": {
              "name": "reverse",
              "description": "Sort inversion",
              "type": "boolean",
              "example": false
            },
            "user_ids": {
              "name": "user_ids",
              "description": "User id list , up to 50",
              "type": "array",
              "items": {
                "name": "user_ids",
                "description": "User id list , up to 50",
                "type": "string",
                "example": ""
              },
              "example": [
                ""
              ]
            },
            "first": {
              "name": "first",
              "description": "The front n elements of return support up to 50 , and the last must and only one cannot be empty",
              "type": "integer",
              "example": 0
            },
            "ids": {
              "name": "ids",
              "description": "Contract id list",
              "type": "array",
              "items": {
                "name": "ids",
                "description": "Contract id list",
                "type": "string",
                "example": ""
              },
              "example": [
                ""
              ]
            },
            "after": {
              "name": "after",
              "description": "After a certain cursor , the value can be orderId , contractId , etc . , according to the specific api to indicate the specific business data id , before and after to only allow one to have value .",
              "type": "string",
              "example": ""
            },
            "created_at_min": {
              "name": "created_at_min",
              "description": "Subscription contract production time ( start ) ( format see IOS8601 )",
              "type": "string",
              "example": ""
            },
            "updated_at_min": {
              "name": "updated_at_min",
              "description": "Subscription contract update time ( start ) ( format see IOS8601 )",
              "type": "string",
              "example": ""
            },
            "created_at_max": {
              "name": "created_at_max",
              "description": "Subscription contract production time ( end ) ( format see IOS8601 )",
              "type": "string",
              "example": ""
            },
            "next_billing_date_at_max": {
              "name": "next_billing_date_at_max",
              "description": "Subscribe to next bill-generation time ( end ) ( format see IOS8601 )",
              "type": "string",
              "example": ""
            },
            "status": {
              "name": "status",
              "description": "Subscription contract status ( ACTIVE , FAILED , CANCELLED , EXPIRED )",
              "type": "array",
              "items": {
                "name": "status",
                "description": "Subscription contract status ( ACTIVE , FAILED , CANCELLED , EXPIRED )",
                "type": "string",
                "example": ""
              },
              "example": [
                ""
              ]
            },
            "before": {
              "name": "before",
              "description": "Before , the value could be orderId , contractId , etc . according to the specific api , it means that the specific business data id , before and after only allow one to have value .",
              "type": "string",
              "example": ""
            },
            "last": {
              "name": "last",
              "description": "Return last n elements , maximum support 50 , must be with first and only one cannot be empty",
              "type": "integer",
              "example": 0
            },
            "next_billing_date_at_min": {
              "name": "next_billing_date_at_min",
              "description": "Subscribe to next bill generation time ( start ) ( format see IOS8601 )",
              "type": "string",
              "example": ""
            }
          },
          "example": {
            "next_billing_date_at_min": "",
            "updated_at_max": "",
            "after": "",
            "before": "",
            "last": 0,
            "created_at_max": "",
            "first": 0,
            "status": [
              ""
            ],
            "updated_at_min": "",
            "reverse": false,
            "created_at_min": "",
            "next_billing_date_at_max": "",
            "user_ids": [
              ""
            ],
            "ids": [
              ""
            ]
          }
        }
      }
    },
    "required": true
  },
  "responses": {
    "200": {
      "description": "For the complete list of codes and messages, see [Http status code](https://developer.shopline.com/docs/apps/api-instructions-for-use/http-status-code.md?lang=en).",
      "headers": {
        "traceId": {
          "description": "A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise."
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "page_info": {
                "name": "page_info",
                "description": "Paging information",
                "type": "object",
                "properties": {
                  "has_next_page": {
                    "name": "has_next_page",
                    "description": "1",
                    "type": "boolean",
                    "example": false
                  },
                  "has_previous_page": {
                    "name": "has_previous_page",
                    "description": "1",
                    "type": "boolean",
                    "example": false
                  },
                  "start_cursor": {
                    "name": "start_cursor",
                    "description": "1",
                    "type": "string",
                    "example": ""
                  },
                  "end_cursor": {
                    "name": "end_cursor",
                    "description": "1",
                    "type": "string",
                    "example": ""
                  }
                },
                "example": {
                  "end_cursor": "",
                  "has_next_page": false,
                  "has_previous_page": false,
                  "start_cursor": ""
                }
              },
              "subscription_contracts": {
                "name": "subscription_contracts",
                "description": "Subscription contract information list",
                "type": "array",
                "items": {
                  "name": "subscription_contracts",
                  "description": "Subscription contract information list",
                  "type": "object",
                  "properties": {
                    "line_items": {
                      "name": "line_items",
                      "description": "Contract associated Product",
                      "type": "array",
                      "items": {
                        "name": "line_items",
                        "description": "Contract associated Product",
                        "type": "object",
                        "properties": {
                          "version": {
                            "name": "version",
                            "description": "Product version",
                            "type": "string",
                            "example": ""
                          },
                          "product_source": {
                            "name": "product_source",
                            "description": "Product source main_site main station product、customize custom product",
                            "type": "string",
                            "example": ""
                          },
                          "attributes": {
                            "name": "attributes",
                            "description": "Product attributes",
                            "type": "array",
                            "items": {
                              "name": "attributes",
                              "description": "Product attributes",
                              "type": "object",
                              "properties": {
                                "key": {
                                  "name": "key",
                                  "description": "Attributes key or name",
                                  "type": "string",
                                  "example": ""
                                },
                                "value": {
                                  "name": "value",
                                  "description": "Attribute value",
                                  "type": "string",
                                  "example": ""
                                }
                              },
                              "example": {
                                "value": "",
                                "key": ""
                              }
                            },
                            "example": [
                              {
                                "value": "",
                                "key": ""
                              }
                            ]
                          },
                          "title": {
                            "name": "title",
                            "description": "Product title",
                            "type": "string",
                            "example": ""
                          },
                          "amount": {
                            "name": "amount",
                            "description": "Product amount ( two precision string , like \" 88.10 \" )",
                            "type": "string",
                            "example": ""
                          },
                          "image_url": {
                            "name": "image_url",
                            "description": "Product main image",
                            "type": "string",
                            "example": ""
                          },
                          "amount_set": {
                            "name": "amount_set",
                            "description": "Product amount",
                            "type": "object",
                            "properties": {
                              "presentment_money": {
                                "name": "presentment_money",
                                "description": "Currency information",
                                "type": "object",
                                "properties": {
                                  "amount": {
                                    "name": "amount",
                                    "description": "Amount",
                                    "type": "string",
                                    "example": ""
                                  },
                                  "currency_code": {
                                    "name": "currency_code",
                                    "description": "Currency",
                                    "type": "string",
                                    "example": ""
                                  }
                                },
                                "example": {
                                  "amount": "",
                                  "currency_code": ""
                                }
                              },
                              "shop_money": {
                                "name": "shop_money",
                                "description": "Sell side amount",
                                "type": "object",
                                "properties": {
                                  "currency_code": {
                                    "name": "currency_code",
                                    "description": "Currency",
                                    "type": "string",
                                    "example": ""
                                  },
                                  "amount": {
                                    "name": "amount",
                                    "description": "Amount",
                                    "type": "string",
                                    "example": ""
                                  }
                                },
                                "example": {
                                  "amount": "",
                                  "currency_code": ""
                                }
                              }
                            },
                            "example": {
                              "shop_money": {
                                "currency_code": "",
                                "amount": ""
                              },
                              "presentment_money": {
                                "amount": "",
                                "currency_code": ""
                              }
                            }
                          },
                          "pricing_policy": {
                            "name": "pricing_policy",
                            "description": "Subscription cycle discount",
                            "type": "array",
                            "items": {
                              "name": "pricing_policy",
                              "description": "Subscription cycle discount",
                              "type": "object",
                              "properties": {
                                "cycle_discounts": {
                                  "name": "cycle_discounts",
                                  "description": "Adjust per cycle of the subscribe to the line",
                                  "type": "array",
                                  "items": {
                                    "name": "cycle_discounts",
                                    "description": "Adjust per cycle of the subscribe to the line",
                                    "type": "object",
                                    "properties": {
                                      "adjustment_type": {
                                        "name": "adjustment_type",
                                        "description": "Discount type , FIXED_AMOUNT : minus , PERCENTAGE : discount ( minus percentage )",
                                        "type": "string",
                                        "example": ""
                                      },
                                      "adjustment_value": {
                                        "name": "adjustment_value",
                                        "description": "Discount value subtraction amount ( points ) or ratio",
                                        "type": "long",
                                        "example": 0
                                      }
                                    },
                                    "example": {
                                      "adjustment_type": "",
                                      "adjustment_value": 0
                                    }
                                  },
                                  "example": [
                                    {
                                      "adjustment_type": "",
                                      "adjustment_value": 0
                                    }
                                  ]
                                }
                              },
                              "example": {
                                "cycle_discounts": [
                                  {
                                    "adjustment_type": "",
                                    "adjustment_value": 0
                                  }
                                ]
                              }
                            },
                            "example": [
                              {
                                "cycle_discounts": [
                                  {
                                    "adjustment_type": "",
                                    "adjustment_value": 0
                                  }
                                ]
                              }
                            ]
                          },
                          "variant_id": {
                            "name": "variant_id",
                            "description": "Product SKU serial number",
                            "type": "string",
                            "example": ""
                          },
                          "quantity": {
                            "name": "quantity",
                            "description": "Product quantity",
                            "type": "integer",
                            "example": 0
                          },
                          "group_id": {
                            "name": "group_id",
                            "description": "Item group id",
                            "type": "string",
                            "example": ""
                          },
                          "sku": {
                            "name": "sku",
                            "description": "Product yards",
                            "type": "string",
                            "example": ""
                          },
                          "variant_attribute": {
                            "name": "variant_attribute",
                            "description": "Product attributes",
                            "type": "string",
                            "example": ""
                          }
                        },
                        "example": {
                          "group_id": "",
                          "image_url": "",
                          "pricing_policy": [
                            {
                              "cycle_discounts": [
                                {
                                  "adjustment_type": "",
                                  "adjustment_value": 0
                                }
                              ]
                            }
                          ],
                          "amount_set": {
                            "presentment_money": {
                              "amount": "",
                              "currency_code": ""
                            },
                            "shop_money": {
                              "amount": "",
                              "currency_code": ""
                            }
                          },
                          "variant_id": "",
                          "attributes": [
                            {
                              "key": "",
                              "value": ""
                            }
                          ],
                          "product_source": "",
                          "sku": "",
                          "amount": "",
                          "title": "",
                          "version": "",
                          "variant_attribute": "",
                          "quantity": 0
                        }
                      },
                      "example": [
                        {
                          "version": "",
                          "quantity": 0,
                          "variant_id": "",
                          "sku": "",
                          "amount": "",
                          "product_source": "",
                          "image_url": "",
                          "pricing_policy": [
                            {
                              "cycle_discounts": [
                                {
                                  "adjustment_value": 0,
                                  "adjustment_type": ""
                                }
                              ]
                            }
                          ],
                          "variant_attribute": "",
                          "amount_set": {
                            "shop_money": {
                              "amount": "",
                              "currency_code": ""
                            },
                            "presentment_money": {
                              "amount": "",
                              "currency_code": ""
                            }
                          },
                          "attributes": [
                            {
                              "value": "",
                              "key": ""
                            }
                          ],
                          "group_id": "",
                          "title": ""
                        }
                      ]
                    },
                    "customer": {
                      "name": "customer",
                      "description": "User information",
                      "type": "object",
                      "properties": {
                        "shipping_address": {
                          "name": "shipping_address",
                          "description": "Shipping address",
                          "type": "object",
                          "properties": {
                            "first_name": {
                              "name": "first_name",
                              "description": "Consignee name",
                              "type": "string",
                              "example": ""
                            },
                            "province": {
                              "name": "province",
                              "description": "Consignee province",
                              "type": "string",
                              "example": ""
                            },
                            "zip": {
                              "name": "zip",
                              "description": "Postal code",
                              "type": "string",
                              "example": ""
                            },
                            "company": {
                              "name": "company",
                              "description": "Company name",
                              "type": "string",
                              "example": ""
                            },
                            "city_code": {
                              "name": "city_code",
                              "description": "Consignee city code",
                              "type": "string",
                              "example": ""
                            },
                            "country_code": {
                              "name": "country_code",
                              "description": "Country or region , please refer to the country code specification biography , https : //aurogon-portal.yy.com/document/interface/478",
                              "type": "string",
                              "example": ""
                            },
                            "country": {
                              "name": "country",
                              "description": "Country or region",
                              "type": "string",
                              "example": ""
                            },
                            "last_name": {
                              "name": "last_name",
                              "description": "Consignee last name",
                              "type": "string",
                              "example": ""
                            },
                            "phone": {
                              "name": "phone",
                              "description": "Consignee contact",
                              "type": "string",
                              "example": ""
                            },
                            "address2": {
                              "name": "address2",
                              "description": "Consignee additional to the detailed address",
                              "type": "string",
                              "example": ""
                            },
                            "city": {
                              "name": "city",
                              "description": "Consignee city",
                              "type": "string",
                              "example": ""
                            },
                            "district_code": {
                              "name": "district_code",
                              "description": "Consignee zone code",
                              "type": "string",
                              "example": ""
                            },
                            "address1": {
                              "name": "address1",
                              "description": "Consignee detailed address",
                              "type": "string",
                              "example": ""
                            },
                            "province_code": {
                              "name": "province_code",
                              "description": "Consignee province code",
                              "type": "string",
                              "example": ""
                            },
                            "district": {
                              "name": "district",
                              "description": "Consignee zone",
                              "type": "string",
                              "example": ""
                            }
                          },
                          "example": {
                            "address2": "",
                            "city_code": "",
                            "country_code": "",
                            "country": "",
                            "company": "",
                            "last_name": "",
                            "district": "",
                            "first_name": "",
                            "city": "",
                            "phone": "",
                            "district_code": "",
                            "province": "",
                            "zip": "",
                            "province_code": "",
                            "address1": ""
                          }
                        },
                        "email": {
                          "name": "email",
                          "description": "User mailbox",
                          "type": "string",
                          "example": ""
                        },
                        "id": {
                          "name": "id",
                          "description": "User ID",
                          "type": "string",
                          "example": ""
                        },
                        "nick_name": {
                          "name": "nick_name",
                          "description": "User name",
                          "type": "string",
                          "example": ""
                        },
                        "phone": {
                          "name": "phone",
                          "description": "User phone",
                          "type": "string",
                          "example": ""
                        }
                      },
                      "example": {
                        "shipping_address": {
                          "company": "",
                          "address1": "",
                          "province": "",
                          "country_code": "",
                          "city": "",
                          "country": "",
                          "address2": "",
                          "district_code": "",
                          "district": "",
                          "first_name": "",
                          "zip": "",
                          "city_code": "",
                          "province_code": "",
                          "last_name": "",
                          "phone": ""
                        },
                        "email": "",
                        "id": "",
                        "nick_name": "",
                        "phone": ""
                      }
                    },
                    "next_billing_date": {
                      "name": "next_billing_date",
                      "description": "Next bill date",
                      "type": "string",
                      "example": ""
                    },
                    "billing_policy": {
                      "name": "billing_policy",
                      "description": "Billing policy for the subscription agreement",
                      "type": "object",
                      "properties": {
                        "max_cycles": {
                          "name": "max_cycles",
                          "description": "Largest subscription cycle",
                          "type": "integer",
                          "example": 0
                        },
                        "min_cycles": {
                          "name": "min_cycles",
                          "description": "Minimum subscription cycle",
                          "type": "integer",
                          "example": 0
                        },
                        "interval": {
                          "name": "interval",
                          "description": "Interval units , ( day , MONTH , weed , year )",
                          "type": "string",
                          "example": ""
                        },
                        "interval_count": {
                          "name": "interval_count",
                          "description": "Interval value",
                          "type": "integer",
                          "example": 0
                        }
                      },
                      "example": {
                        "interval": "",
                        "interval_count": 0,
                        "max_cycles": 0,
                        "min_cycles": 0
                      }
                    },
                    "customer_payment_method": {
                      "name": "customer_payment_method",
                      "description": "payment method",
                      "type": "object",
                      "properties": {
                        "instrument_seq": {
                          "name": "instrument_seq",
                          "description": "Payment tool id",
                          "type": "string",
                          "example": ""
                        },
                        "method_code": {
                          "name": "method_code",
                          "description": "Payment method encoding",
                          "type": "string",
                          "example": ""
                        },
                        "store_payment_id": {
                          "name": "store_payment_id",
                          "description": "Payment method id",
                          "type": "string",
                          "example": ""
                        },
                        "channel_code": {
                          "name": "channel_code",
                          "description": "Payment channel encoding",
                          "type": "string",
                          "example": ""
                        },
                        "instrument_detail": {
                          "name": "instrument_detail",
                          "description": "Payment tool details",
                          "type": "object",
                          "properties": {
                            "card": {
                              "name": "card",
                              "description": "Card information",
                              "type": "object",
                              "properties": {
                                "holder": {
                                  "name": "holder",
                                  "description": "Card holder name",
                                  "type": "string",
                                  "example": ""
                                },
                                "last": {
                                  "name": "last",
                                  "description": "Card number rear display bit",
                                  "type": "string",
                                  "example": ""
                                },
                                "brand": {
                                  "name": "brand",
                                  "description": "Card brand",
                                  "type": "string",
                                  "example": ""
                                },
                                "brand_icon": {
                                  "name": "brand_icon",
                                  "description": "Card icon",
                                  "type": "string",
                                  "example": ""
                                },
                                "expire_month": {
                                  "name": "expire_month",
                                  "description": "Expiration date : month",
                                  "type": "string",
                                  "example": ""
                                },
                                "expire_year": {
                                  "name": "expire_year",
                                  "description": "Expiration date : year",
                                  "type": "string",
                                  "example": ""
                                },
                                "first": {
                                  "name": "first",
                                  "description": "Card number front display bit",
                                  "type": "string",
                                  "example": ""
                                }
                              },
                              "example": {
                                "first": "",
                                "holder": "",
                                "last": "",
                                "brand": "",
                                "brand_icon": "",
                                "expire_month": "",
                                "expire_year": ""
                              }
                            },
                            "type": {
                              "name": "type",
                              "description": "Type card / account. card : carnegie ; account : account base",
                              "type": "string",
                              "example": ""
                            }
                          },
                          "example": {
                            "type": "",
                            "card": {
                              "brand_icon": "",
                              "expire_month": "",
                              "expire_year": "",
                              "first": "",
                              "holder": "",
                              "last": "",
                              "brand": ""
                            }
                          }
                        }
                      },
                      "example": {
                        "instrument_detail": {
                          "type": "",
                          "card": {
                            "expire_year": "",
                            "first": "",
                            "holder": "",
                            "last": "",
                            "brand": "",
                            "brand_icon": "",
                            "expire_month": ""
                          }
                        },
                        "instrument_seq": "",
                        "method_code": "",
                        "store_payment_id": "",
                        "channel_code": ""
                      }
                    },
                    "app": {
                      "name": "app",
                      "description": "Subscription plug-in information",
                      "type": "object",
                      "properties": {
                        "app_key": {
                          "name": "app_key",
                          "description": "Key for app insert",
                          "type": "string",
                          "example": ""
                        }
                      },
                      "example": {
                        "app_key": ""
                      }
                    },
                    "created_at": {
                      "name": "created_at",
                      "description": "Creation time",
                      "type": "string",
                      "example": ""
                    },
                    "status": {
                      "name": "status",
                      "description": "Subscription contract status ( ACTIVE , FAILED , CANCELLED , EXPIRED )",
                      "type": "string",
                      "example": ""
                    },
                    "id": {
                      "name": "id",
                      "description": "Contract id",
                      "type": "string",
                      "example": ""
                    },
                    "last_payment_status": {
                      "name": "last_payment_status",
                      "description": "Last payment status",
                      "type": "string",
                      "example": ""
                    },
                    "periods": {
                      "name": "periods",
                      "description": "Duration of current contract execution",
                      "type": "integer",
                      "example": 0
                    },
                    "origin_order": {
                      "name": "origin_order",
                      "description": "Original order information",
                      "type": "object",
                      "properties": {
                        "id": {
                          "name": "id",
                          "description": "Order number",
                          "type": "string",
                          "example": ""
                        }
                      },
                      "example": {
                        "id": ""
                      }
                    },
                    "updated_at": {
                      "name": "updated_at",
                      "description": "Update time",
                      "type": "string",
                      "example": ""
                    },
                    "currency_code": {
                      "name": "currency_code",
                      "description": "Currency",
                      "type": "string",
                      "example": ""
                    },
                    "delivery_info": {
                      "name": "delivery_info",
                      "description": "Shipping information",
                      "type": "object",
                      "properties": {
                        "delivery_name": {
                          "name": "delivery_name",
                          "description": "Scheme name",
                          "type": "string",
                          "example": ""
                        },
                        "delivery_seq": {
                          "name": "delivery_seq",
                          "description": "The seq for the shipping program",
                          "type": "string",
                          "example": ""
                        }
                      },
                      "example": {
                        "delivery_name": "",
                        "delivery_seq": ""
                      }
                    }
                  },
                  "example": {
                    "status": "",
                    "app": {
                      "app_key": ""
                    },
                    "id": "",
                    "created_at": "",
                    "customer": {
                      "id": "",
                      "nick_name": "",
                      "phone": "",
                      "shipping_address": {
                        "district": "",
                        "city": "",
                        "district_code": "",
                        "first_name": "",
                        "address1": "",
                        "phone": "",
                        "last_name": "",
                        "country": "",
                        "address2": "",
                        "company": "",
                        "zip": "",
                        "country_code": "",
                        "province_code": "",
                        "city_code": "",
                        "province": ""
                      },
                      "email": ""
                    },
                    "origin_order": {
                      "id": ""
                    },
                    "periods": 0,
                    "billing_policy": {
                      "interval": "",
                      "interval_count": 0,
                      "max_cycles": 0,
                      "min_cycles": 0
                    },
                    "customer_payment_method": {
                      "instrument_detail": {
                        "card": {
                          "first": "",
                          "holder": "",
                          "last": "",
                          "brand": "",
                          "brand_icon": "",
                          "expire_month": "",
                          "expire_year": ""
                        },
                        "type": ""
                      },
                      "instrument_seq": "",
                      "method_code": "",
                      "store_payment_id": "",
                      "channel_code": ""
                    },
                    "line_items": [
                      {
                        "quantity": 0,
                        "title": "",
                        "variant_attribute": "",
                        "sku": "",
                        "variant_id": "",
                        "amount": "",
                        "product_source": "",
                        "pricing_policy": [
                          {
                            "cycle_discounts": [
                              {
                                "adjustment_type": "",
                                "adjustment_value": 0
                              }
                            ]
                          }
                        ],
                        "version": "",
                        "amount_set": {
                          "presentment_money": {
                            "currency_code": "",
                            "amount": ""
                          },
                          "shop_money": {
                            "amount": "",
                            "currency_code": ""
                          }
                        },
                        "attributes": [
                          {
                            "value": "",
                            "key": ""
                          }
                        ],
                        "image_url": "",
                        "group_id": ""
                      }
                    ],
                    "last_payment_status": "",
                    "next_billing_date": "",
                    "currency_code": "",
                    "updated_at": "",
                    "delivery_info": {
                      "delivery_name": "",
                      "delivery_seq": ""
                    }
                  }
                },
                "example": [
                  {
                    "id": "",
                    "last_payment_status": "",
                    "next_billing_date": "",
                    "customer": {
                      "nick_name": "",
                      "phone": "",
                      "shipping_address": {
                        "city_code": "",
                        "district_code": "",
                        "first_name": "",
                        "country_code": "",
                        "company": "",
                        "province": "",
                        "address2": "",
                        "country": "",
                        "city": "",
                        "address1": "",
                        "zip": "",
                        "province_code": "",
                        "district": "",
                        "last_name": "",
                        "phone": ""
                      },
                      "email": "",
                      "id": ""
                    },
                    "delivery_info": {
                      "delivery_seq": "",
                      "delivery_name": ""
                    },
                    "periods": 0,
                    "updated_at": "",
                    "app": {
                      "app_key": ""
                    },
                    "status": "",
                    "billing_policy": {
                      "interval_count": 0,
                      "max_cycles": 0,
                      "min_cycles": 0,
                      "interval": ""
                    },
                    "customer_payment_method": {
                      "channel_code": "",
                      "instrument_detail": {
                        "card": {
                          "expire_month": "",
                          "expire_year": "",
                          "first": "",
                          "holder": "",
                          "last": "",
                          "brand": "",
                          "brand_icon": ""
                        },
                        "type": ""
                      },
                      "instrument_seq": "",
                      "method_code": "",
                      "store_payment_id": ""
                    },
                    "currency_code": "",
                    "origin_order": {
                      "id": ""
                    },
                    "line_items": [
                      {
                        "attributes": [
                          {
                            "value": "",
                            "key": ""
                          }
                        ],
                        "image_url": "",
                        "variant_id": "",
                        "sku": "",
                        "version": "",
                        "group_id": "",
                        "pricing_policy": [
                          {
                            "cycle_discounts": [
                              {
                                "adjustment_type": "",
                                "adjustment_value": 0
                              }
                            ]
                          }
                        ],
                        "product_source": "",
                        "quantity": 0,
                        "amount": "",
                        "title": "",
                        "amount_set": {
                          "presentment_money": {
                            "amount": "",
                            "currency_code": ""
                          },
                          "shop_money": {
                            "amount": "",
                            "currency_code": ""
                          }
                        },
                        "variant_attribute": ""
                      }
                    ],
                    "created_at": ""
                  }
                ]
              }
            },
            "example": {
              "page_info": {
                "start_cursor": "",
                "end_cursor": "",
                "has_next_page": false,
                "has_previous_page": false
              },
              "subscription_contracts": [
                {
                  "id": "",
                  "customer": {
                    "email": "",
                    "id": "",
                    "nick_name": "",
                    "phone": "",
                    "shipping_address": {
                      "first_name": "",
                      "district": "",
                      "province": "",
                      "address2": "",
                      "city": "",
                      "district_code": "",
                      "country": "",
                      "city_code": "",
                      "province_code": "",
                      "phone": "",
                      "company": "",
                      "country_code": "",
                      "zip": "",
                      "last_name": "",
                      "address1": ""
                    }
                  },
                  "updated_at": "",
                  "created_at": "",
                  "periods": 0,
                  "line_items": [
                    {
                      "amount": "",
                      "group_id": "",
                      "product_source": "",
                      "variant_id": "",
                      "attributes": [
                        {
                          "key": "",
                          "value": ""
                        }
                      ],
                      "pricing_policy": [
                        {
                          "cycle_discounts": [
                            {
                              "adjustment_type": "",
                              "adjustment_value": 0
                            }
                          ]
                        }
                      ],
                      "variant_attribute": "",
                      "amount_set": {
                        "shop_money": {
                          "amount": "",
                          "currency_code": ""
                        },
                        "presentment_money": {
                          "amount": "",
                          "currency_code": ""
                        }
                      },
                      "version": "",
                      "quantity": 0,
                      "sku": "",
                      "image_url": "",
                      "title": ""
                    }
                  ],
                  "last_payment_status": "",
                  "origin_order": {
                    "id": ""
                  },
                  "status": "",
                  "app": {
                    "app_key": ""
                  },
                  "billing_policy": {
                    "interval": "",
                    "interval_count": 0,
                    "max_cycles": 0,
                    "min_cycles": 0
                  },
                  "delivery_info": {
                    "delivery_name": "",
                    "delivery_seq": ""
                  },
                  "currency_code": "",
                  "customer_payment_method": {
                    "instrument_seq": "",
                    "method_code": "",
                    "store_payment_id": "",
                    "channel_code": "",
                    "instrument_detail": {
                      "card": {
                        "holder": "",
                        "last": "",
                        "brand": "",
                        "brand_icon": "",
                        "expire_month": "",
                        "expire_year": "",
                        "first": ""
                      },
                      "type": ""
                    }
                  },
                  "next_billing_date": ""
                }
              ]
            }
          }
        }
      }
    },
    "401": {
      "headers": {
        "traceId": {
          "description": "A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise."
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "errors": {
                "description": "Error message. ",
                "type": "string"
              }
            },
            "required": [
              "errors"
            ]
          }
        }
      }
    },
    "429": {
      "headers": {
        "traceId": {
          "description": "A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise."
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "errors": {
                "description": "Error message. ",
                "type": "string"
              }
            },
            "required": [
              "errors"
            ]
          }
        }
      }
    }
  },
  "security": [
    {
      "oauth2": []
    }
  ],
  "method": "post",
  "path": "/subscription/contract.json",
  "servers": [
    {
      "url": "https://{handle}.myshopline.com/admin/openapi",
      "variables": {
        "handle": {
          "default": "openapiceshidianpu",
          "description": "`handle` : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is `open001.myshopline.com` , the store handle is `open001` ."
        }
      }
    }
  ],
  "info": {
    "title": "Query subscription contract list",
    "version": "v20270301"
  },
  "authIndexes": [
    "read_subscription_contracts"
  ]
}
```